Non, ce n'est pas un chat...
15 Nov 2018

Est-ce que votre site internet est bien sécurisé ?

Rédigé par Célina Barc
dans la catégorie Stratégie Digitale

Comment bien sécuriser son site internet en 2019 ?

Que ce soit pour optimiser votre référencement naturel ou rassurer vos clients, avoir un site internet sécurisé est indispensable.

Pour cela, vous devez tout d’abord posséder un certificat SSL. Il permet de générer une URL sous forme de HTTPS et posséder le fameux cadenas vert. Chez certains hébergeurs comme OVH, le certificat SSL peut être gratuit avec Let’s Encrypt. Mais cette manipulation n’est pas suffisante pour que votre site internet soit sécurisé. À partir de la fin du mois de décembre, 62% des sites internet existants et 57,1% des sites sous WordPress utiliseront une version technologiquement dépassée de PHP. Autrement-dit, votre site internet fait peut-être partie de ceux qui ne recevront plus aucune mise à jour de sécurité de PHP à la fin de l’année.

Pourquoi faut-il sécuriser son site internet ?

  1. Pour prévenir toute tentative de piratage et éviter qu’un hackeur ne prenne le contrôle de votre site internet. Utiliser une technologie obsolète entraîne le risque de failles de sécurité.
  2. Pour améliorer votre référencement naturel et votre positionnement dans les pages de résultats de recherche. Les algorithmes des moteurs de recherche comme Google, sanctionnent les sites qui ne sont pas sécurisés.
  3. Pour donner confiance aux internautes, en particulier si vous possédez un site internet de vente en ligne (ou ecommerce).

Qu’est-ce que le PHP ?

Est-ce que votre site internet est bien sécurisé ?

Le PHP (Hypertext Preprocessor) est un des langages informatiques le plus utilisé dans la création de sites internet. Il est notamment indispensable pour la création des sites en WordPress. Le PHP est un langage de programmation libre, régulièrement mis à jour pour toujours plus de performance et de dynamisme. La dernière version est la 7.2 mais actuellement de nombreux sites internet utilisent encore une ancienne version du PHP :  la 5.6. C’est cette version du PHP qui ne recevra plus de mises à jour de sécurité à partir du 31 décembre 2018.

Comment sécuriser son site internet en 2019 ?

Pour savoir quelle est la version de PHP utilisée par votre site internet ou votre site WordPress, vous devez contacter votre hébergeur web. Il vous fournira les détails de la configuration de votre hébergement. Vous pouvez très simplement changer la version de votre PHP et passer à la dernière version : la 7.2.

Avant d’effectuer cette manipulation, vous devez vérifier que votre site internet est bien compatible avec cette nouvelle version de PHP. Si vous utilisez WordPress, vous devez vérifier que la version de votre WordPress, de votre thème graphique et de vos extensions est compatible avec les dernières versions de PHP. Si vous avez un site internet sur-mesure, contactez votre développeur. Vous devrez peut-être faire quelques ajustements pour une meilleure compatibilité de tous les composants de votre site internet.

Vous avez un doute ? Nous pouvons réaliser un audit gratuit de votre site et de sa version PHP via cette page : https://digital.insaniam.fr/audit-gratuit-de-votre-site-internet/

Leave a comment

Ce site utilise Akismet pour réduire les indésirables. En savoir plus sur comment les données de vos commentaires sont utilisées.